Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema.fsa
Class FiniteStateMachine.TermParticlePair

    java.lang.Object
      com.saxonica.schema.fsa.FiniteStateMachine.TermParticlePair

Enclosing class:
  FiniteStateMachine

    protected static class FiniteStateMachine.TermParticlePair

extends Object

Field Summary
`Particle` | `particle`
`Term` | `term`

Constructor Summary
`FiniteStateMachine.TermParticlePair(Term t, Particle p)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### term

    public Term term

### particle

    public Particle particle

Constructor Detail

### FiniteStateMachine.TermParticlePair

    public FiniteStateMachine.TermParticlePair(Term t,
                                               Particle p)

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.